/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
import 'package:freezed_annotation/freezed_annotation.dart';
import '../../data_models.dart';
part 'users_response.freezed.dart';
part 'users_response.g.dart';

// ----------(json)----------
/*
{
  "users": [
    {
      "createdAt": "2022-06-13T15:03:24.653Z",
      "name": "Myron Hayes",
      "avatar": "https://images.pexels.com/photos/1043474/pexels-photo-1043474.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500",
      "country": "Cyprus",
      "city": "East Casimerstead",
      "company": "Licensed Fresh Car",
      "id": "1"
    }
  ],
  "total": 100
} 
*/
// --------------------------

@freezed
class UsersResponse with _$UsersResponse {
  const factory UsersResponse({
    List<User?>? users,
    int? total,
  }) = _UsersResponse;

  factory UsersResponse.fromJson(Map<String, dynamic> json) => _$UsersResponseFromJson(json);
}
